### Method

# Secret Service set_alias_sync

#### Declaration [src]

    gboolean
    secret_service_set_alias_sync (
      SecretService* service,
      const gchar* alias,
      SecretCollection* collection,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Assign a collection to this alias. Aliases help determine well known collections, such as ‘default’.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block and should not be used in user interface threads.

#### Parameters

`alias` | `const gchar*`
| The alias to assign the collection to.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`collection` | `SecretCollection`
| The collection to assign to the alias.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful.